﻿using UnityEngine;
using System.Collections;

public class Caption : MonoBehaviour
{
    bool isOn = false;
    TextMesh txt;
    public void ChangeText(string text, float time = 2f, bool force = false)
    {
        if (!isOn || force)
        {
            StopAllCoroutines();
            isOn = true;
            txt.text = text;
            StartCoroutine(Reset(time));
        }
    }

    IEnumerator Reset(float time)
    {
        yield return new WaitForSeconds(time);
        txt.text = "";
        isOn = false;
        yield break;
    }

	void Start ()
    {
        txt = GetComponent<TextMesh>();
	}
	
	void Update ()
    {
	
	}
}
