﻿using UnityEngine;
using System.Collections;
using System.Linq;

public class Water : MonoBehaviour
{
    Wave[] waves;
    float wave;

	void Start ()
    {
        waves = GetComponentsInChildren<Wave>().Where(x => x.name.Contains("wave")).ToArray();
	}

    float x = 0f;
    public float xSpeed = 2.5f;
    public float ease = 2f;
    public float heightLoss = 2f;
    public float downLoss = 10f;
    public float skip = 1f;
    void Update ()
    {
        //if (Global.self.started)
        {
            x -= xSpeed * Time.deltaTime;
            float y;

            foreach (var w in waves)
            {
                float wx = w.transform.localPosition.x;

                y = -Mathf.Sin((wx + x) / ease) / heightLoss;
                if (y < 0)
                {
                    w.ShouldPress = false;
                    y /= downLoss;
                }
                else
                {
                    w.ShouldPress = true;
                }
                //Debug.Log((int)(Mathf.Abs(x / Mathf.PI)) % 3);
                if ((int)(Mathf.Abs((wx + x) / ease / Mathf.PI)) % (4 * skip) == 0)
                {
                    w.ShouldPress = false;
                    y /= downLoss;
                }

                w.GoingUp = y > w.transform.localPosition.y;


                w.transform.localPosition = new Vector3(wx, y, 0f);
            }
        }
	}
}
