﻿using UnityEngine;
using System.Collections;

public class Global : MonoBehaviour
{
    public static float score = 0f;
    public static float[] scores = new float[8];
    TextMesh scoreText;
    public static Global self;

    public Sprite[,] Tentacles;
    public Caption caption;
    public Caption scorecaption;
    public Caption factcaption;
    public int level;
    public Throwable Seagull;
    public Throwable Fish;
    public Throwable[] Stuff;
    public Throwable Bomb;
    float time;
    public Water[] Waters;

    public void Chaika()
    {
        if (!gameover)
        {
            score -= 80;
            for (int i = 0; i < 8; i++)
                scores[i] -= 10;

            scorecaption.ChangeText("-8Ø", 2);
            factcaption.ChangeText("SEAGULL DROWNED", 2);
        }
    }

    public void Ryba()
    {
        if (!gameover)
        {
            score -= 80;
            for (int i = 0; i < 8; i++)
                scores[i] -= 10;
            scorecaption.ChangeText("-8Ø", 2);
            factcaption.ChangeText("FISH FLEW AWAY", 2);
        }
    }
    public bool gameover = false;
    public void GameOver()
    {
        gameover = true;
        started = false;
        GetComponent<AudioSource>().loop = false;
        mainmenu.SetActive(true);
        GetComponent<MeshRenderer>().enabled = false;
        mainmenu.GetComponent<TextMesh>().text = "TENTACLES\nEXPLODED";
        mainmenu.transform.GetChild(0).GetComponent<TextMesh>().text = "PRESS ESCAPE TO RESTART";
        mainmenu.transform.GetChild(1).GetComponent<TextMesh>().text = "KEYBOARD 1: " + (scores[0]+scores[1]);
        mainmenu.transform.GetChild(2).GetComponent<TextMesh>().text = "KEYBOARD 2: " + (scores[2]+scores[3]);
        mainmenu.transform.GetChild(3).GetComponent<TextMesh>().text = "KEYBOARD 3: " + (scores[4]+scores[5]);
        mainmenu.transform.GetChild(4).GetComponent<TextMesh>().text = "KEYBOARD 4: " + (scores[6]+scores[7]);
        factcaption.gameObject.SetActive(false);
        scorecaption.gameObject.SetActive(false);
        xSpeed = 5f;
        ease = 2f;
        heightLoss = 1f;
        downLoss = 10f;
    }

    void Awake()
    {
        self = this;
        scoreText = GetComponent<TextMesh>();
        Tentacles = new Sprite[8, 8];
        for (int i = 1; i < 9; i++)
        {
            for (int j = 1; j < 5; j++)
            {
                Tentacles[i - 1, j - 1] = Resources.Load<Sprite>("o" + i + "/t" + j);
            }
        }

        level = 0;
    }

    float[] leveltimes = new float[8]
        {
            4f,
            23,
            23,
            23,
            23,
            23,
            23,
            23
        };


    float xSpeed=2;
    float ease=2;
    float heightLoss=1;
    float downLoss=10;
    int skip=1;

    void ThrowSide(Throwable o, float side)
    {
        var t = Instantiate(o, new Vector3(side * 11f, Random.Range(9f, 12f), 2), Quaternion.identity) as Throwable;
        t.transform.localScale = new Vector3(side * 1.5f, 1.5f, 1f);
        t.GetComponent<Rigidbody2D>().AddForce(new Vector2(-Random.Range(2500f, 4000f) * side, Random.Range(1000f, 3000f)));
        t.GetComponent<Rigidbody2D>().AddTorque(side * 200f);
    }

    void SpawnDown(Throwable o)
    {
        float d = Random.Range(0, 2) == 0 ? -1 : 1;
        var t = Instantiate(o, new Vector3(Random.Range(-5.5f,5.5f), 1.8f, Random.Range(0.5f, 3.55f)), Quaternion.identity) as Throwable;
        //t.transform.localScale = new Vector3(side * 1.5f, 1.5f, 1f);
        t.GetComponent<Rigidbody2D>().AddForce(new Vector2(Random.Range(100f, 300f) * d, Random.Range(1000f, 2000f)));
        t.GetComponent<Rigidbody2D>().AddTorque(Random.Range(-1f,1f) * 200f);
    }

    float k = 0.1f;
    public GameObject mainmenu;
    public bool started = false;

    float fishtime;
    float birdtime;
    float bombtime;
    void Update()
    {
        if (Input.GetKey(KeyCode.Escape) && gameover)
        {
            Application.LoadLevel(0);
        }
            

        if (Input.anyKey && !started && !gameover)
        {
            GetComponent<MeshRenderer>().enabled = true;
            mainmenu.SetActive(false);
            started = true;
            GetComponent<AudioSource>().Play();
        }

        if (started)
        {
            fishtime += Time.deltaTime;
            birdtime += Time.deltaTime;
            bombtime += Time.deltaTime;
            time += Time.deltaTime;

            scoreText.text = "SCORE: " + score.ToString();

            if (level >= 1 && Random.Range(0, 200) == 0)
                SpawnDown(Stuff[0]);

            if (level >= 4 && Random.Range(0, 300) == 0)
                SpawnDown(Stuff[1]);

            if (level >= 3 && birdtime > 4f)
            {
                birdtime = 0f;
                float d = Random.Range(0, 2) == 0 ? -1 : 1;
                ThrowSide(Seagull, d);
            }

            if (level >= 5 && fishtime > 4f)
            {
                fishtime = 0f;
                float d = Random.Range(0, 2) == 0 ? -1 : 1;
                ThrowSide(Fish, d);
            }

            if (level >= 8 && bombtime > 2f)
            {
                bombtime = 0f;
                float d = Random.Range(0, 2) == 0 ? -1 : 1;
                ThrowSide(Bomb, d);
            }

            if (
                Input.GetKeyDown(KeyCode.Space) ||
                Input.GetKeyDown(KeyCode.Escape) ||
                Input.GetKeyDown(KeyCode.CapsLock) ||
                Input.GetKeyDown(KeyCode.Tab) ||
                Input.GetKeyDown(KeyCode.LeftShift) ||
                Input.GetKeyDown(KeyCode.LeftAlt) ||
                Input.GetKeyDown(KeyCode.LeftControl) ||
                Input.GetKeyDown(KeyCode.Alpha9) ||
                Input.GetKeyDown(KeyCode.P) ||
                Input.GetKeyDown(KeyCode.Semicolon) ||
                Input.GetKeyDown(KeyCode.Slash) ||
                Input.GetKeyDown(KeyCode.F1) ||
                Input.GetKeyDown(KeyCode.F3) ||
                Input.GetKeyDown(KeyCode.F5) ||
                Input.GetKeyDown(KeyCode.F7))
            {
                float d = Random.Range(0, 2) == 0 ? -1 : 1;
                ThrowSide(Bomb, d);
            }

            if (level < 8)
            {
                if (time > leveltimes[level])
                {
                    time = 0f;
                    level++;
                    string text = "";
                    switch (level)
                    {
                        case 1:
                            xSpeed = 5f;
                            text = "FASTER!";
                            break;
                        case 2:
                            text = "FASTERER!";
                            xSpeed = 6f;
                            ease = 1.9f;
                            xSpeed = 7f;
                            break;
                        case 3:
                            text = "BIRDS!";
                            xSpeed = 7f;
                            ease = 1.95f;
                            break;
                        case 4:
                            text = "REVERSE!";
                            xSpeed = -7.5f;
                            ease = 1.9f;
                            heightLoss = 0.9f;
                            downLoss = 8.5f;
                            skip = 3;
                            break;
                        case 5:
                            text = "FISH!";
                            xSpeed = -7.5f;
                            ease = 1.8f;
                            skip = 8;
                            break;
                        case 6:
                            text = "STORM IS COMING!";
                            xSpeed = -9f;
                            ease = 1.6f;
                            heightLoss = 0.85f;
                            downLoss = 5f;
                            skip = 8;
                            //k = -3;
                            break;
                        case 7:
                            text = "REVERSE!";
                            xSpeed = 9f;
                            //k = -3;
                            break;
                        case 8:
                            text = "BOMBS!";
                            xSpeed = 11f;
                            ease = 1.5f;
                            heightLoss = 0.6f;
                            downLoss = 3f;
                            //k = -3;
                            break;
                    }

                    caption.ChangeText(text, 2f, true);
                }
            }

        }

        foreach (var w in Waters)
        {
            if (w.xSpeed != xSpeed)
                w.xSpeed = xSpeed;
            if (w.ease > ease)
                w.ease -= Time.deltaTime * k * 0.01f;
            if (w.heightLoss > heightLoss)
                w.heightLoss -= Time.deltaTime * k;
            if (w.downLoss > downLoss)
                w.downLoss -= Time.deltaTime * k * 10f;
            if (w.skip < skip)
                w.skip = skip;
        }
    }
}
