﻿using UnityEngine;
using System.Collections;

public class Wave : MonoBehaviour
{
    public bool ShouldPress;
    public bool GoingUp;

    float _x;
    float wiggleDir;
    float wiggleMax = 0.1f;
    float wiggleSpeed = 0.1f;

    public void Key(bool keyUp, int player)
    {
        if (ShouldPress)
        {
            if (GoingUp && keyUp)
            {
                Global.score += 5;
                Global.scores[player-1] += 5;
            }

            if (!GoingUp && !keyUp)
            {
                Global.score += 5;
                Global.scores[player-1] += 5;
            }
        }
    }

	void Start ()
    {
        _x = transform.position.x;
        wiggleDir = Random.Range(0, 2) == 0 ? -1 : 1;
	}
	
	void Update ()
    {
        if (Mathf.Abs(transform.position.x - _x) > wiggleMax)
            wiggleDir = -wiggleDir;

        transform.Translate(wiggleDir * wiggleSpeed * Time.deltaTime, 0, 0);
	}
}
